-- $Name:Остров осминогов.$
-- $Version:0.1$
-- instead_version '1.3.1'
require 'object'

game.use = 'Не получается...';
dofile('math.lua');
--
dofile('part_0.lua');
dofile('part_1.lua');
dofile('part_2.lua');
dofile('part_3.lua');
dofile('part_4.lua');

game.codepage="UTF-8"
game.dsc = [[Команды:^
    look(или просто ввод), act <на что> (или просто на что), use <что> [на что], go <куда>,^
    back, inv, way, obj, quit, save <fname>, load <fname>. Работает автодополнение по табуляции.^^]];

-- set_music('m/');
main = room {
    nam = '',
    pic = 'i/title.png',
    obj = {
        vway("1", "{Начало}", 'start')
    }
}
start = room {
    nam = 'ПРИКЛЮЧЕНИЕ НАЧИНАЕТСЯ',
    pic = 'i/00000.png',
    dsc = [[ Представьте, что вы находитесь в северной части
острова Олерон. Над Атлантикой садится солнце. Два или
три раза Ксолотл с некоторым беспокойством
оглядывается, и Суи спрашивает его: ^
– Что случилось? ^
– За нами кто-то идёт, – отвечает Ксолотл.^
И вот незнакомец уже в пятидесяти шагах от вас.
Поняв, что больше нет необходимости скрываться, он
приближается. По походке видно, что это бывалый моряк.
Приблизившись так, что его можно расслышать, он
окликает вас:^
– С вами можно побеседовать?^
– А почему бы и нет? – отвечает Тибо.^
Возраст моряка определить довольно трудно, одет он
бедно, но опрятно. Моряк сразу представляется.^
– Меня зовут Губер, – и, не ожидая ответа, сразу же
продолжает: – Вы знаете остров Осьминогов?^
– Нет.^
Губер машет в сторону горизонта.^
– Это в четырёх милях на запад. На самом деле это не
так уж и далеко. Несколько часов на лодке. – Говорит он
хриплым голосом, короткими, словно рублеными,
фразами, часто опуская глаголы. Словно забыв о вашем
присутствии, зорко всматриваясь в океан, он продолжает:^
– Странный остров. Это не то место, где проводят
отпуска. Кругом осьминоги. Огромные и свирепые. Да,
остров негостеприимный. Там невесело. Вы ничего не
слышали о ярби?^
– Нет, – снова ответил Тибо.^
Он продолжает разговор с Губером. То ли Тибо
понравился моряк, толи он заинтересовался этим
странным островом.^
– Ярби, – Губер вздохнул, – это помесь животного и
робота, я полагаю, очень неудачная помесь. У ярби
фантастическое чутьё и маленькие смешные ушки. От них
трудно ускользнуть.^
– А на кого похож этот ярби?^
– Даже не знаю, как и объяснить. Знаете, кто такой
кентавр?^
– Конечно, кентавр – наполовину лошадь, наполовину
человек.^
– Ну так вот, ярби чем-то напоминает кентавра. Но
все его четыре ноги тонкие, как у страуса, а туловище и
руки – как у гориллы. А нюх как у настоящей собаки. Не
очень-то приятно встретить такого…^
Губер наконец перестал вглядываться в океан и,
внезапно повернувшись, смотрит по очереди на каждого
из вас, стараясь угадать ваши мысли. Потом спрашивает:
– Вы боитесь острова Осьминогов?^
Тибо едва заметно вздрагивает. Он не очень-то любит,
когда подозревают, что он чего-то или кого-то боится.
Однако, не показывая вида, он спокойно отвечает:^
– Нет. Но какой смысл нам туда ехать?^
– Маленький мальчик сидит там в заточении. Ему
двенадцать лет, и зовут его Оллир. Хорошо бы его
освободить. Конечно, это опасно. Очень опасно.^
– А почему вы сами-то туда не отправитесь?^
Губер пожимает плечами, но без колебания отвечает:^
– Я уже очень стар. В моём возрасте на такие^
путешествия уже не отваживаются. А вы – вы молоды и
можете рискнуть.^
– Допустим, – говорит Тибо. – Но там, наверное,
водятся не только ярби?^
– Конечно! Там ещё и ро-монстры…^
И Губер объясняет вам, что речь идёт о роботах,
умеющих и защищаться, и нападать, их специально так
сконструировали. Так, ро-пёс – это пёс-робот, ро-кошка –
это кошка, скрещённая с роботом, и так далее. А потом
Губер протягивает Тибо карту острова Осьминогов.
– Это поможет вам избежать опасностей. Лучше всего
на остров высаживаться в Черепашьей бухте, и
желательно во время прилива.^
– Минутку! – прервал его Тибо. – Мы ещё не сказали,
что мы туда отправимся.^
Суи взяла карту, посмотрела на неё и тут же
поинтересовалась:^
– А что такое хёли?^
– Ну это просто, – ответил Губер, – это гибрид лисы и
робота. Но будьте осторожны. Они живут стаями и весьма
опасны.^
– А Оллир? Известно хотя бы, где его содержат?^
– Да нет. И кажется, его никто не сторожит.^
Ксолотл задаёт ещё два-три вопроса, но ответы Губера
всё так же туманны. Кроме одного.^
– Если вам удастся освободить Оллира, дальше всё
просто. Вы подадите радиосигнал, и за вами вышлют
вертолёт. Через час вы уже вернётесь.^
– Хорошо. Но как подать сигнал?^
– А вот. И Губер извлекает из кармана небольшую
серую коробочку величиной с ладонь. На одной из её
сторон видна хорошо защищённая малюсенькая красна
кнопка. Она находится в узком желобке, и нажать на неё
можно, только специально надавив ногтем.^
– Ну как? – спрашивает Губер. – Вы едете туда или нет?
Все четверо переглядываются. Вы часто оказывались во
всяких переделках, и поэтому каждый из вас почти
наверняка знает, о чём сейчас думают трое остальных.
Чтобы решиться, вам требуется не более десяти секунд, и
вот уже Тибо отвечает за всех.^
– Мы отправляемся туда, – просто сообщает он.
И Губер, не произнеся больше ни слова, протягивает
маленькую серую коробочку Ксолотлу. ]],
    obj = {
        vway("1", "{Дальше}", 'scene_001')
    }
};

